### A free/open-source library for quantitative finance

PathPayoff Class Reference

Abstract base class for path-dependent option payoffs. More...

`#include <ql/experimental/mcbasket/pathpayoff.hpp>`

Inherits unary_function< Matrix, Disposable< Array > >.

Inherited by AdaptedPathPayoff.

List of all members.

## Public Member Functions

Payoff interface
virtual std::string | name () const =0
virtual std::string | description () const =0
virtual void | value (const Matrix &path, const std::vector< Handle< YieldTermStructure > > &forwardTermStructures, Array &payments, Array &exercises, std::vector< Array > &states) const =0
virtual Size | basisSystemDimension () const =0
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Abstract base class for path-dependent option payoffs.

## Member Function Documentation

virtual std::string name | ( |  | ) | const`[pure virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.